# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDataToolAction Class Reference

This class helps applications implement support for KDataTool. More...

`#include <kdatatool.h>`

Inheritance diagram for KDataToolAction:

[legend]
Collaboration diagram for KDataToolAction:

[legend]
List of all members.

## Signals

void | toolActivated (const KDataToolInfo &info, const QString &command)

## Public Member Functions

| KDataToolAction (const QString &text, const KDataToolInfo &info, const QString &command, QObject *parent=0, const char *name=0)

## Static Public Member Functions

static QPtrList< KAction > | dataToolActionList (const QValueList< KDataToolInfo > &tools, const QObject *receiver, const char *slot)

## Protected Member Functions

virtual void | slotActivated ()
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This class helps applications implement support for KDataTool.

The steps to follow are simple:

- query for the available tools using KDataToolInfo::query
- pass the result to KDataToolAction::dataToolActionList (with a slot)
- plug the resulting actions, either using KXMLGUIClient::plugActionList, or by hand.

The slot defined for step 2 is called when the action is activated, and that's where the tool should be created and run.

Definition at line 194 of file kdatatool.h.

## Constructor & Destructor Documentation

KDataToolAction::KDataToolAction | ( | const QString & | text,
|  | const KDataToolInfo & | info,
|  | const QString & | command,
|  | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |

Constructs a new KDataToolAction.

Parameters:

  | text | The text that will be displayed.
  | info | the corresponding KDataToolInfo
  | command | the command of the action
  | parent | This action's parent.
  | name | An internal name for this action.

Definition at line 226 of file kdatatool.cpp.

Referenced by dataToolActionList().

## Member Function Documentation

QPtrList< KAction > KDataToolAction::dataToolActionList | ( | const QValueList< KDataToolInfo > & | tools,
|  | const QObject * | receiver,
|  | const char * | slot
| ) | `[static]`

Creates a list of actions from a list of information about data-tools.

The slot must have a signature corresponding to the toolActivated signal.

Note that it's the caller's responsibility to delete the actions when they're not needed anymore.

Parameters:

  | tools | the list of data tool descriptions
  | receiver | the receiver for toolActivated() signals
  | slot | the slot that will receive the toolActivated() signals

Returns:
  the KActions

Definition at line 239 of file kdatatool.cpp.

References QPtrList::append(), QObject::connect(), QValueList::end(), endl(), KDataToolAction(), kdWarning(), and toolActivated().

void KDataToolAction::toolActivated | ( | const KDataToolInfo & | info,
|  | const QString & | command
| ) | `[signal]`

Emitted when a tool has been activated.

Parameters:

  | info | a description of the activated tools
  | command | the command for the tool

Referenced by dataToolActionList().

The documentation for this class was generated from the following files:

- kdatatool.h
- kdatatool.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:23 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003